Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4559)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4577)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! further re-formatting to follow the PALM coding standard
+!
+! 4559 2020-06-11 08:51:48Z raasch
 ! file re-formatted to follow the PALM coding standard
 !
@@ -364,7 +367,5 @@
     REAL(kind=wp), ALLOCATABLE, DIMENSION(:,:,:,:), TARGET ::  spec_conc_3  !< pointer for swapping of timelevels for conc
     REAL(kind=wp), ALLOCATABLE, DIMENSION(:,:,:,:), TARGET ::  freq_1       !< pointer for phtolysis frequncies
-                                                                            !< (only 1 timelevel required)
-                                                                            !< (e.g. solver type)
-
+                                                                            !< (only 1 timelevel required) (e.g. solver type)
 
 !
@@ -1567,4 +1568,6 @@
     USE control_parameters
 
+    REAL(wp), PARAMETER ::  fill_value = -9999.0_wp    !< value for the _FillValue attribute
+
     CHARACTER(LEN=16) ::  spec_name
     CHARACTER(LEN=*)  ::  variable    !<
@@ -1586,5 +1589,4 @@
     REAL(wp), DIMENSION(mask_size_l(mid,1),mask_size_l(mid,2),mask_size_l(mid,3)) ::  local_pf   !<
 
-    REAL(wp), PARAMETER ::  fill_value = -9999.0_wp    !< value for the _FillValue attribute
 
 !
@@ -2279,4 +2281,12 @@
         ONLY:  dt_3d, intermediate_timestep_count, time_since_reference_point
 
+    REAL(wp), PARAMETER              ::  fr2ppm  = 1.0e6_wp              !< Conversion factor fraction to ppm
+!    REAL(wp), PARAMETER              ::  xm_air  = 28.96_wp              !< Mole mass of dry air
+!    REAL(wp), PARAMETER              ::  xm_h2o  = 18.01528_wp           !< Mole mass of water vapor
+    REAL(wp), PARAMETER              ::  p_std   = 101325.0_wp           !< standard pressure (Pa)
+    REAL(wp), PARAMETER              ::  ppm2fr  = 1.0e-6_wp             !< Conversion factor ppm to fraction
+    REAL(wp), PARAMETER              ::  t_std   = 273.15_wp             !< standard pressure (Pa)
+    REAL(wp), PARAMETER              ::  vmolcm  = 22.414e3_wp           !< Mole volume (22.414 l) in cm^3
+    REAL(wp), PARAMETER              ::  xna     = 6.022e23_wp           !< Avogadro number (molecules/mol)
 
     INTEGER,INTENT(IN)       :: i
@@ -2294,17 +2304,4 @@
     REAL(wp)                         ::  conv                                !< conversion factor
     REAL(kind=wp)                    ::  dt_chem
-
-    REAL(wp), PARAMETER              ::  fr2ppm  = 1.0e6_wp              !< Conversion factor
-                                                                         !< fraction to ppm
-!    REAL(wp), PARAMETER              ::  xm_air  = 28.96_wp              !< Mole mass of dry air
-!    REAL(wp), PARAMETER              ::  xm_h2o  = 18.01528_wp           !< Mole mass of water vapor
-    REAL(wp), PARAMETER              ::  p_std   = 101325.0_wp           !< standard pressure (Pa)
-    REAL(wp), PARAMETER              ::  ppm2fr  = 1.0e-6_wp             !< Conversion factor ppm to
-                                                                         !< fraction
-    REAL(wp), PARAMETER              ::  t_std   = 273.15_wp             !< standard pressure (Pa)
-    REAL(wp), PARAMETER              ::  vmolcm  = 22.414e3_wp           !< Mole volume (22.414 l)
-                                                                         !< in cm^3
-    REAL(wp), PARAMETER              ::  xna     = 6.022e23_wp           !< Avogadro number
-                                                                         !< (molecules/mol)
 
     REAL(wp),DIMENSION(size(rcntrl)) :: rcntrl_local
@@ -3442,11 +3439,12 @@
 !-- Particle parameters (PM10 (1), PM25 (2)) partsize (diameter in m), rhopart (density in kg/m3),
 !-- slipcor (slip correction factor dimensionless, Seinfeld and Pandis 2006, Table 9.3)
-    LOGICAL ::  match_lsm     !< flag indicating natural-type surface
-    LOGICAL ::  match_usm     !< flag indicating urban-type surface
-
     REAL(wp), DIMENSION(1:3,1:2), PARAMETER ::  particle_pars = RESHAPE( (/                        &
                                                          8.0e-6_wp, 1.14e3_wp, 1.016_wp, &   !<  1
                                                          0.7e-6_wp, 1.14e3_wp, 1.082_wp  &   !<  2
                                                          /), (/ 3, 2 /) )
+
+    LOGICAL ::  match_lsm     !< flag indicating natural-type surface
+    LOGICAL ::  match_usm     !< flag indicating urban-type surface
+
 !
 !-- List of names of possible tracers
@@ -5301,7 +5299,8 @@
 !
 !-- Local variables
+    REAL(wp), PARAMETER ::  dO3 = 0.13e-4          !< diffusion coefficient of ozon (m2/s)
+
     REAL(wp) ::  vpd                               !< vapour pressure deficit (kPa)
 
-    REAL(wp), PARAMETER ::  dO3 = 0.13e-4          !< diffusion coefficient of ozon (m2/s)
 !
 !-- Next line is to avoid compiler warning about unused variables
@@ -5395,4 +5394,6 @@
 !
 !-- Local variables:
+    REAL(wp), PARAMETER ::  p_sealevel = 1.01325e05    !< Pa
+
     REAL(wp) ::  bt
     REAL(wp) ::  f_env
@@ -5411,5 +5412,4 @@
     REAL(wp) ::  sinphi
 
-    REAL(wp), PARAMETER ::  p_sealevel = 1.01325e05    !< Pa
 !
 !-- Check whether vegetation is present:
@@ -6029,5 +6029,4 @@
 !
 !-- const
-
     REAL(wp), PARAMETER ::  kappa_stab = 0.35     !< von Karman constant
     REAL(wp), PARAMETER ::  thk = 0.19e-4         !< thermal diffusivity of dry air 20 C
